Subject: Re: [PATCH v4 0/5] Re: {checkout,reset,stash} --patch

From: Thomas Rast <[email-masked]>
Date: Sun, 9 Aug 2009 18:44:41 +0200

Nicolas Sebrecht wrote:
> 
> Also, I'd expect to have 'git reset --hard -p' discarding hunks from
> both the index and the WT (which is not possible for now unless I missed
> something).

Well, the unfortunate overlap between 'git reset --hard' and 'git
checkout HEAD -- .' strikes again :-)

Since you can't say 'git reset --hard -- file', you have to do 'git
checkout HEAD -- file' to achieve this effect.  So this usage is
covered by 'git checkout -p HEAD'.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch